schema_version: 0.1
type: producer
identifier: tone
title: Tone
version: 1
copyright: Meltytech, LLC
license: LGPLv2.1
language: en
tags:
  - Audio
description: >
  Generate audio tones.
parameters:
  - identifier: frequency
    title: Frequency
    type: float
    description: >
      The frequency of the tone.
    unit: Hz
    default: 1000.0
    readonly: no
    mutable: yes
    widget: spinner
  - identifier: phase
    title: Phase
    type: float
    description: >
      The phase of the tone.
    unit: degrees
    default: 0.0
    readonly: no
    mutable: yes
    widget: spinner
  - identifier: level
    title: Level
    type: float
    description: >
      The peak level of the tone.
    unit: dB
    default: 0.0
    readonly: no
    mutable: yes
    widget: spinner
